Bug 210941 - databases/postgresql9[1,2,3,4,5]-server: Improve cleanup periodic
Summary: databases/postgresql9[1,2,3,4,5]-server: Improve cleanup periodic
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: pgsql
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-07-09 09:54 UTC by claudius
Modified: 2016-08-24 14:31 UTC (History)
3 users (show)

See Also:
vlad-fbsd: maintainer-feedback? (pgsql)


Attachments
502.pgsql.in.patch (468 bytes, patch)
2016-07-09 09:54 UTC, claudius
vlad-fbsd: maintainer-approval? (pgsql)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description claudius 2016-07-09 09:54:08 UTC
Created attachment 172279 [details]
502.pgsql.in.patch

Periodic script 502.pgsql does not delete postgresql directory dump files.
Comment 1 Palle Girgensohn freebsd_committer 2016-08-05 08:34:15 UTC
Seems trivial. I'll apply it at the next upstream update.
Comment 2 commit-hook freebsd_committer 2016-08-11 16:40:40 UTC
A commit references this bug:

Author: girgen
Date: Thu Aug 11 16:39:42 UTC 2016
New revision: 420089
URL: https://svnweb.freebsd.org/changeset/ports/420089

Log:
  The PostgreSQL Global Development Group has released an update to all supported
  versions of our database system, including 9.5.4, 9.4.9, 9.3.14, 9.2.18 and
  9.1.23. This release fixes two security issues. It also patches a number of
  other bugs reported over the last three months. Users who rely on security
  isolation between database users should update as soon as possible. Other users
  should plan to update at the next convenient downtime.

  If you are using the ICU patch, please consult UPDATING.

  Improve periodic cleanup, suggested by claudius (at) ambtec.de. [1]

  PR:		210941 [1]
  Security:	CVE-2016-5423, CVE-2016-5424

Changes:
  head/UPDATING
  head/databases/postgresql91-server/Makefile
  head/databases/postgresql91-server/distinfo
  head/databases/postgresql91-server/files/502.pgsql.in
  head/databases/postgresql92-server/Makefile
  head/databases/postgresql92-server/distinfo
  head/databases/postgresql92-server/files/502.pgsql.in
  head/databases/postgresql93-server/Makefile
  head/databases/postgresql93-server/distinfo
  head/databases/postgresql93-server/files/502.pgsql.in
  head/databases/postgresql94-server/Makefile
  head/databases/postgresql94-server/distinfo
  head/databases/postgresql94-server/files/502.pgsql.in
  head/databases/postgresql95-server/Makefile
  head/databases/postgresql95-server/distinfo
  head/databases/postgresql95-server/files/502.pgsql.in
Comment 3 Palle Girgensohn freebsd_committer 2016-08-11 16:41:18 UTC
Committed. Thanks!
Comment 4 commit-hook freebsd_committer 2016-08-24 14:31:36 UTC
A commit references this bug:

Author: feld
Date: Wed Aug 24 14:30:49 UTC 2016
New revision: 420792
URL: https://svnweb.freebsd.org/changeset/ports/420792

Log:
  MFH: r420089 r420093

  The PostgreSQL Global Development Group has released an update to all supported
  versions of our database system, including 9.5.4, 9.4.9, 9.3.14, 9.2.18 and
  9.1.23. This release fixes two security issues. It also patches a number of
  other bugs reported over the last three months. Users who rely on security
  isolation between database users should update as soon as possible. Other users
  should plan to update at the next convenient downtime.

  If you are using the ICU patch, please consult UPDATING.

  Improve periodic cleanup, suggested by claudius (at) ambtec.de. [1]

  PR:		210941 [1]
  Security:	CVE-2016-5423, CVE-2016-5424

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/UPDATING
  branches/2016Q3/databases/postgresql91-server/Makefile
  branches/2016Q3/databases/postgresql91-server/distinfo
  branches/2016Q3/databases/postgresql91-server/files/502.pgsql.in
  branches/2016Q3/databases/postgresql92-server/Makefile
  branches/2016Q3/databases/postgresql92-server/distinfo
  branches/2016Q3/databases/postgresql92-server/files/502.pgsql.in
  branches/2016Q3/databases/postgresql93-server/Makefile
  branches/2016Q3/databases/postgresql93-server/distinfo
  branches/2016Q3/databases/postgresql93-server/files/502.pgsql.in
  branches/2016Q3/databases/postgresql94-server/Makefile
  branches/2016Q3/databases/postgresql94-server/distinfo
  branches/2016Q3/databases/postgresql94-server/files/502.pgsql.in
  branches/2016Q3/databases/postgresql95-server/Makefile
  branches/2016Q3/databases/postgresql95-server/distinfo
  branches/2016Q3/databases/postgresql95-server/files/502.pgsql.in